-- ----------------------------------------------------------------------------
-- Copyright (C) 2012 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Mexican TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Paulina"
language = "Spanish (Mexico)"
marc_code = "083"
language_id = "83"
id = "83002"
config_file = "mexican_tts/config_tts.lua"
audio_files_path = "mexican_tts/mexican_tts"
rulesets_file = "mexican_tts/mexican_tts/rulesets_SPM.txt"
userdictionary_file = "mexican_tts/mexican_tts/udct_spm.dat"
apdb = "apdb/paulina/nm"
audio_files_version = "0.2.0.2012011701"
client_range = "[client >= 1.3.18.0 ; client < 1.4.6.0 ]"

maneuver_check = {
    ["END"] = "usted llegará a su destino",                             -- You will reach your destination
    ["STOPOVER"] = "usted llegará a una parada",        								-- You will reach a stopover
    ["JUNCTION"] = nil,                                                 -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                            -- the junction
    ["ROUNDABOUT"] = "en la glorieta,",                                 -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "tome la salida",                             -- take the exit
    ["UTURN"] = "dé vuelta en U",                                       -- Make a uturn
    ["ENTER_HIGHWAY"] = "entre a la autopista",
    ["LEAVE_HIGHWAY"] = "tome la salida",                               -- take the exit
    ["CONTINUE_HIGHWAY"] = "tome la salida",                            -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "entre a la autopista",
    ["LEAVE_URBAN_HIGHWAY"] = "tome la salida",                         -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "tome la salida",
    ["DRIVE_TO_NEAREST_ROAD"] = "Maneje hacia el camino más próximo",   -- drive to nearest road 
    ["FERRY"] = "tome el ferry"
}

maneuver_turns_car = {
    ["NO_TURN"] = "siga derecho",
    ["KEEP_MIDDLE"] = "tome el carril del medio",
    ["KEEP_RIGHT"] = "manténgase a la derecha",
    ["LIGHT_RIGHT"] = "dé una ligera vuelta a la derecha",
    ["QUITE_RIGHT"] = "dé vuelta a la derecha",
    ["HEAVY_RIGHT"] = "dé una vuelta pronunciada a la derecha",
    ["RETURN"] = "dé vuelta en U",
    ["HEAVY_LEFT"] = "dé una vuelta pronunciada a la izquierda",
    ["QUITE_LEFT"] = "dé vuelta a la izquierda",
    ["LIGHT_LEFT"] = "dé una ligera vuelta a la izquierda",
    ["KEEP_LEFT"] = "manténgase a la izquierda",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "siga derecho",
    ["KEEP_MIDDLE"] = "tome la calle central",
    ["KEEP_RIGHT"] = "tome la calle de la derecha",
    ["LIGHT_RIGHT"] = "dé una ligera vuelta a la derecha",
    ["QUITE_RIGHT"] = "dé vuelta a la derecha",
    ["HEAVY_RIGHT"] = "dé una vuelta pronunciada a la derecha",
    ["RETURN"] = "dé vuelta en U",
    ["HEAVY_LEFT"] = "dé una vuelta pronunciada a la iquierda",
    ["QUITE_LEFT"] = "dé vuelta a la izquierda",
    ["LIGHT_LEFT"] = "dé una ligera vuelta a la izquierda",
    ["KEEP_LEFT"] = "tome la calle de la izquierda",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "camine a través del edificio",
    ["SQUARE"] = "cruce la plaza",
    ["PARK"] = "cruce el parque",
    ["STAIRS"] = "suba por las escaleras",
    ["ELEVATOR"] = "tome el elevador",
    ["ESCALATOR"] = "suba por las escaleras"
}

final_command = {
    ["END"] = "Usted ha llegado a su destino",                                -- You have reached your destination
    ["STOPOVER"] = "Usted ha llegado a su parada"                							-- You have reached a stopover
}

exit_number_check = {
    [1] = {"tome la primera salida", "dé vuelta en la primera calle"},                   -- take the first exit
    [2] = {"tome la segunda salida", "dé vuelta en la segunda calle"},                   -- take the second exit
    [3] = {"tome la tercera salida", "dé vuelta en la tercera calle"},                   -- take the third exit
    [4] = {"tome la cuarta salida", "dé vuelta en la cuarta calle"},                     -- take the fourth exit
    [5] = {"tome la quinta salida", "dé vuelta en la quinta calle"},                     -- take the fifth exit
    [6] = {"tome la sexta salida", "dé vuelta en la sexta calle"},                       -- take the sixth exit
    [7] = {"tome la séptima salida", "dé vuelta en la séptima calle"},                   -- take the seventh exit
    [8] = {"tome la octava salida", "dé vuelta en la octava calle"},                     -- take the eighth exit
    [9] = {"tome la novena salida", "dé vuelta en la novena calle"},                     -- take the ninth exit
    [10] = {"tome la décima salida", "dé vuelta en la décima calle"},                    -- take the tenth exit
    [11] = {"tome la onceava salida", "dé vuelta en la décimo primera calle"},    -- take the eleventh exit
    [12] = {"tome la doceava salida", "dé vuelta en la décimo segunda calle"}     -- take the twelfth exit
}

distances = {
    [50] = "50",
    [100] = "100",
    [150] = "150",
    [200] = "200",
    [250] = "250",
    [300] = "300",
    [400] = "400",
    [500] = "500",
    [600] = "600",
    [700] = "700",
    [800] = "800",
    [900] = "900",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8",
    [9] = "9",
    [10] = "10"
}

unit = {                        
    ["MILE"] = "milla",
    ["YARDS"] = "yardas",
    ["KILOMETER"] = "kilómetro",
    ["METERS"] = "metros",
    ["METER"] = "metro",
    ["KILOMETERS"] = "kilómetros",
    ["MILES"] = "millas",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "al Norte",
    ["NORTH_EAST"] = "al Noreste",
    ["EAST"] = "al este",
    ["SOUTH_EAST"] = "al Sureste",
    ["SOUTH"] = "al Sur",
    ["SOUTH_WEST"] = "al Suroeste",
    ["WEST"] = "al Oeste",
    ["NORTH_WEST"] = "al Noroeste"
}

misc = { 
    ["gps_signal_lost_wav"] = "Se perdió la señal GPS",
    ["gps_signal_restored_wav"] = "Ha sido restaurada su conexión con el GPS",
 --   ["no_gps_signal_wav"] = "No hay conexión con el GPS",
    ["route_recalculation_wav"] = "Cálculo de ruta",
    ["now_wav"] = "Ahora,",
    ["end_of_street_wav"] = "Al final del camino",
    ["follow_motorway_wav"] = "Siga por la autopista",
    ["follow_road_wav"] = "Siga el curso del camino",
    ["for_wav"] = "durante",
    ["after_wav"] = "Después de",
    ["un_wav"] = "un",
    ["una_wav"] = "una",
    ["after_junction_wav"] = "Después del cruce",
    ["half_a_mile_wav"] = "media milla",
    ["quarter_a_mile_wav"] = "un cuarto de milla",
    ["immediately_wav"] = "e inmediatamente",
    ["safety_camara_ahead_wav"] = "Cámara de control de velocidad más adelante",
    ["over_speed_limit_wav"] = "Observe el límite de velocidad",
    ["traffic_automatic_detour_wav"] = "Tráfico sobre el camino, tomando desvío",
    ["traffic_manual_detour_wav"] = "Tráfico sobre el camino, ¿desea desviarse?",
    ["no_detour_possible"] = "No se encontró desvío del tráfico",
    ["and_wav"] = "y",
    ["and_then_wav"] = "y después",
    ["and_then_pedestrian_wav"] = "y",
    ["and_continue_on_wav"] = "y continue por",
    ["towards_wav"] = "en dirección a",
    ["towards_2_wav"] = "hacia",
    ["turn_wav"] = "gire",
    ["onto_wav"] = "en",
    ["exit_wav"] = "tome la salida",
    ["second_right_wav"] = "tome la segunda calle a su derecha",
    ["second_left_wav"] = "tome la segunda calle a su izquierda",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "camine hacia la izquierda alrededor de la glorieta",
    ["walk_right_roundabout_wav"] = "camine hacia la derecha alrededor de la glorieta",
    ["walk_roundabout_wav"] = "camine alrededor de la glorieta",
    ["head_wav"] = "Diríjase",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "en",
    ["onto_2_wav"] = "por",
    ["the_footpath_wav"] = "por el camino"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


